TurnMarkFlowEntry.drawFlowEntry  = function() {
		var alpha;
		var width = 832;
		var height = UIFormat.SCREENFRAME_HEIGHT * 2.5;
		var x = LayoutControl.getCenterX(-1, width);
		var y = 312;
		var dy = Math.floor(height / 2);
		var dx = Math.floor(this._counter.getCounter() * 1.5);
		var pic = this._getTurnFrame();
		
		if (pic === null) {
			return;
		}
		
		alpha = 255 - (this._counter.getCounter() * 7);
		if (alpha < 0) {
			alpha = 0;
		}
		
		pic.setAlpha(alpha);
		pic.drawStretchParts(x - dx, y - dy, width, height, 0, 0, width, height);
		
		pic.setAlpha(alpha);
		pic.drawStretchParts(x + dx, y + dy, width, height, width, 0, width, height);
	};
